<?php
namespace Engine\Form\Input\Matrix;

class RowFooter extends \Engine\Form\Input\Matrix\Row
{
	protected function preRenderCell(\Engine\Form\Input\Matrix\Cell $cell)
	{
		$cell->setValue($this->getValue());
	}

	protected function postRenderCell(\Engine\Form\Input\Matrix\Cell $cell)
	{
	}

	protected function renderCell(\Engine\Form\Input\Matrix\Cell $cell)
	{
		return $cell->render();
	}
}